{
    "name": "mezzio/mezzio-skeleton",
    "description": "Laminas mezzio skeleton. Begin developing PSR-15 middleware applications in seconds!",
    "type": "project",
    "license": "BSD-3-Clause",
    "keywords": [
        "laminas",
        "mezzio",
        "skeleton",
        "middleware",
        "psr",
        "psr-7",
        "psr-11",
        "psr-15",
        "doctrine",
        "phpunit"
    ],
    "homepage": "https://mezzio.dev",
    "support": {
        "docs": "https://docs.mezzio.dev/mezzio/",
        "issues": "https://github.com/mezzio/mezzio-skeleton/issues",
        "source": "https://github.com/mezzio/mezzio-skeleton",
        "rss": "https://github.com/mezzio/mezzio-skeleton/releases.atom",
        "chat": "https://laminas.dev/chat",
        "forum": "https://discourse.laminas.dev"
    },
    "config": {
        "sort-packages": true
    },
    "extra": {
        "laminas": {
            "component-whitelist": [
                "mezzio/mezzio",
                "mezzio/mezzio-helpers",
                "mezzio/mezzio-router",
                "laminas/laminas-httphandlerrunner",
                "mezzio/mezzio-fastroute"
            ]
        }
    },
    "require": {
        "php": "^7.4",
        "laminas/laminas-config-aggregator": "^1.2",
        "laminas/laminas-db": "^2.11",
        "laminas/laminas-diactoros": "^2.3.0",
        "laminas/laminas-servicemanager": "^3.4",
        "laminas/laminas-stdlib": "^3.2.1",
        "laminas/laminas-zendframework-bridge": "^1.0",
        "mezzio/mezzio": "^3.2.1",
        "mezzio/mezzio-fastroute": "^3.0.3",
        "mezzio/mezzio-helpers": "^5.3",
        "ramsey/uuid": "^4.1"
    },
    "require-dev": {
        "filp/whoops": "^2.7.1",
        "laminas/laminas-component-installer": "^2.2",
        "laminas/laminas-development-mode": "^3.2",
        "mezzio/mezzio-tooling": "^1.3",
        "phpspec/prophecy": "^1.10.3",
        "phpunit/phpunit": "^7.5.20 || ^8.5.2 || ^9.0.1",
        "roave/security-advisories": "dev-master",
        "squizlabs/php_codesniffer": "^2.9.2"
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/App/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "AppTest\\": "test/AppTest/"
        }
    },
    "scripts": {
        "post-create-project-cmd": [
            "@development-enable"
        ],
        "development-disable": "laminas-development-mode disable",
        "development-enable": "laminas-development-mode enable",
        "development-status": "laminas-development-mode status",
        "mezzio": "mezzio --ansi",
        "check": [
            "@cs-check",
            "@test"
        ],
        "clear-config-cache": "php bin/clear-config-cache.php",
        "cs-check": "phpcs",
        "cs-fix": "phpcbf",
        "serve": "php -S 0.0.0.0:8080 -t public/",
        "test": "phpunit --colors=always",
        "test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
    }
}
